package com.fjhx.flow.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum HandleTypeEnum {

    // 跳转下一节点
    NEXT(1, "通过"),
    // 结束流程
    REJECT(2, "驳回"),
    // 返回上一节点
    PREVIOUS(3, "返回上一步"),
    // 退回到发起人
    RETURN_TO_SPONSOR(4, "退回到发起人"),
    ;

    private final Integer key;

    private final String value;

    private static final Map<Integer, HandleTypeEnum> map = new HashMap<>();

    static {
        for (HandleTypeEnum value : HandleTypeEnum.values()) {
            map.put(value.getKey(), value);
        }
    }

    public static HandleTypeEnum getEnum(Integer key) {
        HandleTypeEnum handleTypeEnum = map.get(key);
        if (handleTypeEnum == null) {
            throw new ServiceException("未知处理方法");
        }
        return handleTypeEnum;
    }

}
